好记性不如铅笔头

QT, 编程

ubuntu安装QT5的笔记和简单配置

CONTENTS

安装基本依赖库

sudo apt-get install build-essential

下载最新版本

访问网址【 http://download.qt.io/official_releases/qt/ 】,找到最新版本

wget http://download.qt.io/official_releases/qt/5.8/5.8.0/qt-opensource-linux-x64-5.8.0.run
chmod +x qt-opensource-linux-x64-5.7.0.run ./qt-opensource-linux-x64-5.7.0.run 
 ./qt-opensource-linux-x64-5.7.0.run 

支持中文输入

安装插件

sudo apt-get install fcitx-frontend-qt5

找到插件安装的位置

dpkg -L fcitx-frontend-qt5
。。。。
#找到so的位置
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so
。。。。

拷贝到QT目录下,并赋予权限

#拷贝到qt的安装位置,不同的QT的版本可能不同,这里需要注意下
sudo cp /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so /opt/Qt5.7.0/5.7/gcc_64/plugins/platforminputcontexts/ 
sudo cp /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so /opt/Qt5.7.0/Tools/QtCreator/lib/Qt/plugins/platforminputcontexts/

#更改执行权限
sudo chmod a+x /opt/Qt5.7.0/5.7/gcc_64/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so
sudo chmod a+x /opt/Qt5.7.0/Tools/QtCreator/lib/Qt/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so

 

发表评论

15 + 10 =

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据